Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SMEM_Properties Class Reference

RTCORBA::SharedMemoryProtocolProperties implementation. More...

`#include <RT_Policy_i.h>`

Inheritance diagram for TAO_SMEM_Properties:

[legend]
Collaboration diagram for TAO_SMEM_Properties:

[legend]
List of all members.

## Public Methods
| TAO_SMEM_Properties (void)
| Constructor. More...
CORBA::Long | preallocate_buffer_size (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | preallocate_buffer_size (CORBA::Long preallocate_buffer_size ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
char * | mmap_filename (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | mmap_filename (const char *mmap_filename ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
char * | mmap_lockname (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | mmap_lockname (const char *mmap_lockname ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Boolean | _tao_encode (TAO_OutputCDR &out_cdr)
CORBA::Boolean | _tao_decode (TAO_InputCDR &in_cdr)
## Protected Methods
virtual | ~TAO_SMEM_Properties (void)
| Protected destructor to enforce proper memory management of this reference counted object. More...
## Private Attributes
CORBA::Long | preallocate_buffer_size_
ACE_CString | mmap_filename_
ACE_CString | mmap_lockname_

## Detailed Description

RTCORBA::SharedMemoryProtocolProperties implementation.

Stores Shared Memory Protocol configuration properties.

## Constructor & Destructor Documentation

TAO_SMEM_Properties::TAO_SMEM_Properties | ( | void |  | ) |

| Constructor.

TAO_SMEM_Properties::~TAO_SMEM_Properties | ( | void |  | ) | `[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

## Member Function Documentation

CORBA::Boolean TAO_SMEM_Properties::_tao_decode | ( | TAO_InputCDR & | in_cdr | ) | `[virtual]`

| This method reads an instance of SMEMProperties from a CDR encapsulation. This Protocol Property in TAO specific, so there is no order of encapsulation specified in the RT CORBA Spec. The current implementation expect the field according to the order of declaration. Reimplemented from RTCORBA::ProtocolProperties.

CORBA::Boolean TAO_SMEM_Properties::_tao_encode | ( | TAO_OutputCDR & | out_cdr | ) | `[virtual]`

| This method writes the CDR encapsulation of an instance of SMEMProperties. This Protocol Property in TAO specific, so there is no order of encapsulation specified in the RT CORBA Spec. The current implementation encodes the field according to the order of declaration. Reimplemented from RTCORBA::ProtocolProperties.

void TAO_SMEM_Properties::mmap_filename | ( | const char *mmap_filename | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from RTCORBA::SharedMemoryProtocolProperties.

char * TAO_SMEM_Properties::mmap_filename | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from RTCORBA::SharedMemoryProtocolProperties.

void TAO_SMEM_Properties::mmap_lockname | ( | const char *mmap_lockname | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from RTCORBA::SharedMemoryProtocolProperties.

char * TAO_SMEM_Properties::mmap_lockname | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from RTCORBA::SharedMemoryProtocolProperties.

void TAO_SMEM_Properties::preallocate_buffer_size | ( | CORBA::Long preallocate_buffer_size | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from RTCORBA::SharedMemoryProtocolProperties.

CORBA::Long TAO_SMEM_Properties::preallocate_buffer_size | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from RTCORBA::SharedMemoryProtocolProperties.

## Member Data Documentation

ACE_CString TAO_SMEM_Properties::mmap_filename_`[private]`

ACE_CString TAO_SMEM_Properties::mmap_lockname_`[private]`

CORBA::Long TAO_SMEM_Properties::preallocate_buffer_size_`[private]`

The documentation for this class was generated from the following files:

- RT_Policy_i.h
- RT_Policy_i.cpp